Subject: Re: [PATCH V4] git-apply: add --allow-empty flag

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Dec 2021 13:57:29 -0800

Jerry Zhang <[email-masked]> writes:

> On Mon, Dec 13, 2021 at 1:44 PM Junio C Hamano <[email-masked]> wrote:
>>
>> Jerry Zhang <[email-masked]> writes:
>>
>> > diff --git a/Documentation/git-apply.txt b/Documentation/git-apply.txt
>> > index a32ad64718..b6d77f4206 100644
>> > --- a/Documentation/git-apply.txt
>> > +++ b/Documentation/git-apply.txt
>> > @@ -14,11 +14,11 @@ SYNOPSIS
>> >         [--allow-binary-replacement | --binary] [--reject] [-z]
>> >         [-p<n>] [-C<n>] [--inaccurate-eof] [--recount] [--cached]
>> >         [--ignore-space-change | --ignore-whitespace]
>> >         [--whitespace=(nowarn|warn|fix|error|error-all)]
>> >         [--exclude=<path>] [--include=<path>] [--directory=<root>]
>> > -       [--verbose | --quiet] [--unsafe-paths] [<patch>...]
>> > +       [--verbose | --quiet] [--unsafe-paths] [--allow-empty] [<patch>...]
>> >
>> >  DESCRIPTION
>> >  -----------
>> >  Reads the supplied diff output (i.e. "a patch") and applies it to files.
>> >  When running from a subdirectory in a repository, patched paths
>>
>> Applying: git-apply: add --allow-empty flag
>> error: patch failed: Documentation/git-apply.txt:14
>> error: Documentation/git-apply.txt: patch does not apply
>> Patch failed at 0001 git-apply: add --allow-empty flag
>>
>> Hmph....  Where did that "| --quiet" thing come from?
>>
>>
> Apologies, I overlooked a dependence on my other patch here:
> https://patchwork.kernel.org/project/git/patch/[email-masked]/
>
> Let me know if you'd like a clean patch off of master. Please give the
> other patch
> a look though, as I've addressed outstanding comments.

I am OK with either a single patch without the other one at all, or
N-patch series if they all have to go in together.

Thanks.